Page MenuHomePhabricator

Migrate use of $wgMemc in extensions not bundled with core or otherwise maintained by WMF
Open, Needs TriagePublic

Description

Tracking task for extensions that aren't bundled with or otherwise maintained by WMF.

See also T160813: Deprecate and remove $wgMemc in MediaWiki Core and bundled extensions

From https://codesearch.wmflabs.org/extensions/?q=wgMemc&i=nope&files=&repos= :

  • extensions / ArticleFeedbackv5
  • extensions / AutoProxyBlock
  • extensions / BlogPage
  • extensions / CategoryTree
  • extensions / CentralNotice
  • extensions / CheckUser
  • extensions / CloseWikis
  • extensions / CodeReview
  • extensions / Comments
  • extensions / ConfirmAccount
  • extensions / ConfirmEdit
  • extensions / DoubleWiki
  • extensions / ExtensionDistributor
  • extensions / ExternalData
  • extensions / FanBoxes
  • extensions / FeaturedFeeds
  • extensions / FlaggedRevs
  • extensions / Flow
  • extensions / GlobalUserPage - https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/GlobalUserPage/+/566408/
  • extensions / GoogleNewsSitemap
  • extensions / HAWelcome
  • extensions / HelpPages
  • extensions / ImageRating
  • extensions / LdapAuthentication
  • extensions / LinkFilter
  • extensions / LiquidThreads
  • extensions / MobileFrontend
  • extensions / NewSignupPage
  • extensions / NumberOfWikis
  • extensions / OnlineStatusBar
  • extensions / OpenID
  • extensions / OpenStackManager
  • extensions / PageImages
  • extensions / PageTriage
  • extensions / PictureGame
  • extensions / PollNY
  • extensions / ProtectSite
  • extensions / QuizGame
  • extensions / RandomGameUnit
  • extensions / RandomImageByCategory
  • extensions / RegexBlock
  • extensions / RSS
  • extensions / SecureSessions
  • extensions / SharedHelpPages
  • extensions / ShortUrl
  • extensions / SiteScout
  • extensions / SocialProfile
  • extensions / SpamBlacklist
  • extensions / SpamRegex
  • extensions / SpecialNamespaces
  • extensions / SportsTeams
  • extensions / StopForumSpam
  • extensions / TextExtracts
  • extensions / TimedMediaHandler
  • extensions / UploadWizard
  • extensions / UserStatus
  • extensions / UserThrottle
  • extensions / Video
  • extensions / VoteNY
  • extensions / wikihiero
  • extensions / WikimediaMaintenance https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikimediaMaintenance/+/566342/
  • SemanticMediaWiki / SemanticSignup
  • Wikifab / PageViewsProperty

Details

ProjectBranchLines +/-Subject
mediawiki/extensions/SpecialNamespacesmaster+10 -5
mediawiki/extensions/LinkFiltermaster+22 -16
mediawiki/extensions/SharedHelpPagesmaster+14 -16
mediawiki/extensions/SportsTeamsmaster+28 -26
mediawiki/extensions/Videomaster+32 -29
mediawiki/extensions/RandomImageByCategorymaster+12 -17
mediawiki/extensions/RandomGameUnitmaster+15 -27
mediawiki/extensions/QuizGamemaster+18 -12
mediawiki/extensions/ProtectSitemaster+20 -14
mediawiki/extensions/PictureGamemaster+7 -7
mediawiki/extensions/NumberOfWikismaster+11 -7
mediawiki/extensions/NewSignupPagemaster+4 -2
mediawiki/extensions/ImageRatingmaster+19 -29
mediawiki/extensions/HAWelcomemaster+22 -15
mediawiki/extensions/FanBoxesmaster+22 -24
mediawiki/extensions/Commentsmaster+13 -12
mediawiki/extensions/BlogPagemaster+91 -100
mediawiki/extensions/SpamRegexmaster+16 -12
Show related patches Customize query in gerrit

Event Timeline

Krinkle created this task.Jan 21 2020, 8:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2020, 8:44 PM
Aklapper updated the task description. (Show Details)

Change 566342 had a related patch set uploaded (by Aklapper; owner: Aaron Schulz):
[mediawiki/extensions/WikimediaMaintenance@master] Avoid use of $wgMemc variable

https://gerrit.wikimedia.org/r/566342

Change 566408 had a related patch set uploaded (by Aklapper; owner: Ammarpad):
[mediawiki/extensions/GlobalUserPage@master] Replace usages of $wgMemc variable

https://gerrit.wikimedia.org/r/566408

Aklapper renamed this task from Migrate use of $wgMemc in extensions to Migrate use of $wgMemc in extensions not bundled with core or otherwise maintained by WMF.Jan 23 2020, 12:59 PM

Garr, I just see "aren't bundled with or otherwise maintained by WMF." Sorry; reverted commit message changes. No idea how to even exclude that in a sane way.

Krinkle removed a subscriber: Krinkle.Jan 27 2020, 12:17 AM

Change 588180 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/BlogPage@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588180

Change 588182 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/Comments@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588182

Change 588183 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/FanBoxes@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588183

Change 588184 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/HAWelcome@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588184

Change 588186 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/ImageRating@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588186

Change 588187 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/NewSignupPage@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588187

Change 588188 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/NumberOfWikis@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588188

Change 588189 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/PictureGame@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588189

Change 588190 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/ProtectSite@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588190

Change 588191 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/QuizGame@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588191

Change 588192 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/RandomGameUnit@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588192

Change 588193 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/RandomImageByCategory@master] Convert $wgMemc use to WANObjectCache, require MW 1.34+ & minor cleanup

https://gerrit.wikimedia.org/r/588193

Change 588195 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/Video@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588195

Change 588964 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/SportsTeams@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588964

Change 588972 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/SharedHelpPages@master] Convert $wgMemc use to WANObjectCache, explicitly require MW 1.34+, bump version number

https://gerrit.wikimedia.org/r/588972

Change 588974 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/LinkFilter@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588974

Change 588975 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/SpamRegex@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588975

Change 588975 abandoned by Jack Phoenix:
Convert $wgMemc use to WANObjectCache

Reason:
Seems to be obsolete in favor of the merged patchset Iea489deed551d09b040a2e358f7af1ee8a4bf947

https://gerrit.wikimedia.org/r/588975

Change 588180 merged by jenkins-bot:
[mediawiki/extensions/BlogPage@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588180

Change 588182 merged by jenkins-bot:
[mediawiki/extensions/Comments@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588182

Change 588183 merged by jenkins-bot:
[mediawiki/extensions/FanBoxes@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588183

Change 588184 merged by jenkins-bot:
[mediawiki/extensions/HAWelcome@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588184

Change 588186 merged by jenkins-bot:
[mediawiki/extensions/ImageRating@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588186

Change 588187 merged by jenkins-bot:
[mediawiki/extensions/NewSignupPage@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588187

Change 588188 merged by jenkins-bot:
[mediawiki/extensions/NumberOfWikis@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588188

Change 588189 merged by jenkins-bot:
[mediawiki/extensions/PictureGame@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588189

Change 588191 merged by jenkins-bot:
[mediawiki/extensions/QuizGame@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588191

Change 588192 merged by jenkins-bot:
[mediawiki/extensions/RandomGameUnit@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588192

Change 588193 merged by jenkins-bot:
[mediawiki/extensions/RandomImageByCategory@master] Convert $wgMemc use to WANObjectCache, require MW 1.34+ & minor cleanup

https://gerrit.wikimedia.org/r/588193

Change 588195 merged by jenkins-bot:
[mediawiki/extensions/Video@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588195

Change 588964 merged by jenkins-bot:
[mediawiki/extensions/SportsTeams@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588964

Change 588972 merged by jenkins-bot:
[mediawiki/extensions/SharedHelpPages@master] Convert $wgMemc use to WANObjectCache, explicitly require MW 1.34+, bump version number

https://gerrit.wikimedia.org/r/588972

Change 588974 merged by jenkins-bot:
[mediawiki/extensions/LinkFilter@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/588974

Change 617859 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/SpecialNamespaces@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/617859

Tgr updated the task description. (Show Details)Aug 2 2020, 3:33 PM

Change 617859 merged by jenkins-bot:
[mediawiki/extensions/SpecialNamespaces@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/617859